---
updatedAt: 2025-12-11T11:41:51.000Z
agentTools:
  projectIndex: https://developer.peakon.com/llms.txt
---

# Filtering

In addition to contextual routes, additional filtering is supported for many routes through the filter query parameter. If a route supports filtering it will be listed as a query parameter in the route specification below. Filters are organized by their logical model, so to filter by the question driver you prefix is by question like:

`GET /api/v1/engagement/drivers?filter[question.driver]=autonomy`

A number of operators are supported for matching fields. For example, to get scores for only the autonomy and reward drivers, you can provide the following filter:

`GET /api/v1/engagement/drivers?filter[question.driver]=autonomy,reward$in`

### Supported filtering operators

For single value fields:

* `$eq`
* `$ne`
* `$gt`
* `$gte`
* `$lt`
* `$lte`
* `$like`
* `$notLike`
* `$iLike`
* `$notILike`

For array value fields:

* `$in`
* `$notIn`
* `$between`
* `$notBetween`
* `$contains`
* `$notContains`

Note that some restrictions on the operators supported may exist on a per-field basis.